# class KAboutContainer | KAboutContainer can be used to make a application specific AboutDialog. More...
Definition | `#include <kaboutdialog.h>`
Inherits | QFrame (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KAboutContainer ( QWidget *parent=0, const char *name=0, int margin=0, int spacing=0, int childAlignment = AlignCenter, int innerAlignment = AlignCenter )
- void addWidget ( QWidget *widget )
- void addPerson ( const QString &name, const QString &email, const QString &url, const QString &task, bool showHeader = false, bool showframe = false, bool showBold = false )
- void addTitle ( const QString &title, int alignment=AlignLeft, bool showframe = false, bool showBold = false )
- void addImage ( const QString &fileName, int alignment=AlignLeft )
- virtual QSize sizeHint ( void ) const
- virtual QSize minimumSizeHint ( void ) const

#### Signals

- void urlClick ( const QString &url )
- void mailClick ( const QString &name, const QString &address )

#### Protected Methods

- virtual void childEvent ( QChildEvent *e )

## Detailed Description

KAboutContainer can be used to make a application specific AboutDialog.

KAboutContainer ( QWidget *parent=0, const char *name=0, int margin=0, int spacing=0, int childAlignment = AlignCenter, int innerAlignment = AlignCenter ) | ### KAboutContainer

void addWidget ( QWidget *widget ) | ### addWidget

void addPerson ( const QString &name, const QString &email, const QString &url, const QString &task, bool showHeader = false, bool showframe = false, bool showBold = false ) | ### addPerson

void addTitle ( const QString &title, int alignment=AlignLeft, bool showframe = false, bool showBold = false ) | ### addTitle

void addImage ( const QString &fileName, int alignment=AlignLeft ) | ### addImage

QSize sizeHint ( void ) | ### sizeHint

[const virtual]

Reimplemented from QFrame.

QSize minimumSizeHint ( void ) | ### minimumSizeHint

[const virtual]

void childEvent ( QChildEvent *e ) | ### childEvent

[protected virtual]

void urlClick ( const QString &url ) | ### urlClick

[signal]

void mailClick ( const QString &name, const QString &address ) | ### mailClick

[signal]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.